<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.12.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>kmCommon: Globals</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">kmCommon
   </div>
   <div id="projectbrief">kmCommon library for AVR</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.12.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() { codefold.init(0); });
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search',true);
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function(){initNavTree('globals.html',''); initResizable(true); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="contents">
<div class="textblock">Here is a list of all documented functions, variables, defines, enums, and typedefs with links to the documentation:</div>

<h3><a id="index_k" name="index_k"></a>- k -</h3><ul>
<li>KMC_16_OUT_OF_32_BIT_MASK_HI&#160;:&#160;<a class="el" href="km_common_defs_8h.html#a4346e2d3b548200f6cb0b5334eeaba89">kmCommonDefs.h</a></li>
<li>KMC_16_OUT_OF_32_BIT_MASK_LO&#160;:&#160;<a class="el" href="km_common_defs_8h.html#abbc54dae08ff5d12972cb5a47362cdc7">kmCommonDefs.h</a></li>
<li>KMC_1_BIT_SHIFT&#160;:&#160;<a class="el" href="km_common_defs_8h.html#a3b598e7bfe6c68cc1eb3d0f88bba2fbc">kmCommonDefs.h</a></li>
<li>KMC_4_BIT_SHIFT&#160;:&#160;<a class="el" href="km_common_defs_8h.html#a214a2a4ff84bd9ab6e5d823e82b99d69">kmCommonDefs.h</a></li>
<li>KMC_4_OUT_OF_8_BIT_MASK_HI&#160;:&#160;<a class="el" href="km_common_defs_8h.html#aab5ba6b0fcc6b8a6a69def0c5518f10c">kmCommonDefs.h</a></li>
<li>KMC_4_OUT_OF_8_BIT_MASK_LO&#160;:&#160;<a class="el" href="km_common_defs_8h.html#af581a18e71b623e7ec68bd5b8f970943">kmCommonDefs.h</a></li>
<li>KMC_7_BIT_SHIFT&#160;:&#160;<a class="el" href="km_common_defs_8h.html#aec333388124cb6af61b42e7b0c9665bf">kmCommonDefs.h</a></li>
<li>KMC_7_OUT_OF_16_BIT_MASK_LO&#160;:&#160;<a class="el" href="km_common_defs_8h.html#a063598fd9b2c6e76ce678a294cb52421">kmCommonDefs.h</a></li>
<li>KMC_8_BIT_SHIFT&#160;:&#160;<a class="el" href="km_common_defs_8h.html#a76ffb72523be056eb871dccd9ccdbd58">kmCommonDefs.h</a></li>
<li>KMC_8_OUT_OF_16_BIT_MASK_HI&#160;:&#160;<a class="el" href="km_common_defs_8h.html#a6fbe1e63402cf99533794d1cc25e2a34">kmCommonDefs.h</a></li>
<li>KMC_8_OUT_OF_16_BIT_MASK_LO&#160;:&#160;<a class="el" href="km_common_defs_8h.html#a268882398039ffbf99d61e83f0e7782d">kmCommonDefs.h</a></li>
<li>KMC_9_BIT_SHIFT&#160;:&#160;<a class="el" href="km_common_defs_8h.html#ad03e031783cbc0ec6bec499cf61742fb">kmCommonDefs.h</a></li>
<li>KMC_ALL_BITS_CLEARED&#160;:&#160;<a class="el" href="km_common_defs_8h.html#ad8cda6c6e797c1b5cf0d741b1fe07195">kmCommonDefs.h</a></li>
<li>KMC_ARRAY_SIZE&#160;:&#160;<a class="el" href="km_common_defs_8h.html#a6f1271bf1276df4fb7883ea6eaeafbc8">kmCommonDefs.h</a></li>
<li>KMC_CLAMP&#160;:&#160;<a class="el" href="km_common_defs_8h.html#adee3c57f4c636e61dcc0d405188b54b2">kmCommonDefs.h</a></li>
<li>KMC_DIV_BY_128&#160;:&#160;<a class="el" href="km_common_defs_8h.html#a80ea58834bcaee4a2dc03c47aa3da1e9">kmCommonDefs.h</a></li>
<li>KMC_DIV_BY_16&#160;:&#160;<a class="el" href="km_common_defs_8h.html#a786dd87df96cbcd8247e0ffe5ffeddc1">kmCommonDefs.h</a></li>
<li>KMC_DIV_BY_2&#160;:&#160;<a class="el" href="km_common_defs_8h.html#a6b75ba9c33ed93a082dbcd0d82ced0c9">kmCommonDefs.h</a></li>
<li>KMC_DIV_BY_256&#160;:&#160;<a class="el" href="km_common_defs_8h.html#a7c87209c58d1089fc7453a09fa4b213f">kmCommonDefs.h</a></li>
<li>KMC_DIV_BY_32&#160;:&#160;<a class="el" href="km_common_defs_8h.html#a23a5f56eee5a7a02a7bca8e8acb2f823">kmCommonDefs.h</a></li>
<li>KMC_DIV_BY_4&#160;:&#160;<a class="el" href="km_common_defs_8h.html#a196281f559a94d97864d05594be4f0c3">kmCommonDefs.h</a></li>
<li>KMC_DIV_BY_64&#160;:&#160;<a class="el" href="km_common_defs_8h.html#aafd34d5fa4a7608e2709b50753be62fd">kmCommonDefs.h</a></li>
<li>KMC_DIV_BY_8&#160;:&#160;<a class="el" href="km_common_defs_8h.html#ac730e2a8665f393221200717e97044b0">kmCommonDefs.h</a></li>
<li>KMC_INDEX_INCREASE&#160;:&#160;<a class="el" href="km_common_defs_8h.html#a7a8f4239c5ad41602c910e30c6733b09">kmCommonDefs.h</a></li>
<li>KMC_INDEX_ZERO&#160;:&#160;<a class="el" href="km_common_defs_8h.html#a90345e592de3ffc92c261003fb687e56">kmCommonDefs.h</a></li>
<li>KMC_MAX&#160;:&#160;<a class="el" href="km_common_defs_8h.html#adc81a21527ba9134193dd6edc7a714a1">kmCommonDefs.h</a></li>
<li>KMC_MIN&#160;:&#160;<a class="el" href="km_common_defs_8h.html#af4ae2bd7db4825524ef32840b10ed3ff">kmCommonDefs.h</a></li>
<li>KMC_MULT_BY_128&#160;:&#160;<a class="el" href="km_common_defs_8h.html#a2ecc36b2f3c55e30ca0e4fd851692b2c">kmCommonDefs.h</a></li>
<li>KMC_MULT_BY_16&#160;:&#160;<a class="el" href="km_common_defs_8h.html#a728f43db60f9e269d82c8570e5e0fcb5">kmCommonDefs.h</a></li>
<li>KMC_MULT_BY_2&#160;:&#160;<a class="el" href="km_common_defs_8h.html#a774eeb710a4eb58d7f8d67287d9fe7f9">kmCommonDefs.h</a></li>
<li>KMC_MULT_BY_256&#160;:&#160;<a class="el" href="km_common_defs_8h.html#a5975d954f7eec3d4c8cb0c3c0ec331fc">kmCommonDefs.h</a></li>
<li>KMC_MULT_BY_32&#160;:&#160;<a class="el" href="km_common_defs_8h.html#af6277f03cf4a7043fb9c3cd72407e561">kmCommonDefs.h</a></li>
<li>KMC_MULT_BY_4&#160;:&#160;<a class="el" href="km_common_defs_8h.html#add6614aa7d6d3fba44995461a1f4d961">kmCommonDefs.h</a></li>
<li>KMC_MULT_BY_64&#160;:&#160;<a class="el" href="km_common_defs_8h.html#a27cd0723751edf3050f69ed8e6ddd5fb">kmCommonDefs.h</a></li>
<li>KMC_MULT_BY_8&#160;:&#160;<a class="el" href="km_common_defs_8h.html#aad3584f2e9cbb1e0e78f1d497e51c885">kmCommonDefs.h</a></li>
<li>KMC_SIGNED_MINUS_ONE&#160;:&#160;<a class="el" href="km_common_defs_8h.html#aac329999bc8534ac2e434397d8f5dc6f">kmCommonDefs.h</a></li>
<li>KMC_SIGNED_ONE&#160;:&#160;<a class="el" href="km_common_defs_8h.html#ac83447179a3c515afc75b6a0f68414b1">kmCommonDefs.h</a></li>
<li>KMC_UINT16_TO_BINARY_STRING&#160;:&#160;<a class="el" href="km_common_defs_8h.html#a74dd4d6ddaafe8bfa3cf7abd7fea92ff">kmCommonDefs.h</a></li>
<li>KMC_UINT8_TO_BINARY_STRING&#160;:&#160;<a class="el" href="km_common_defs_8h.html#aa7e307660f3dff077b1062a0589df4b5">kmCommonDefs.h</a></li>
<li>KMC_UNSIGNED_ONE&#160;:&#160;<a class="el" href="km_common_defs_8h.html#abd89b93a847765587148ab96a7dca129">kmCommonDefs.h</a></li>
<li>KMC_UNSIGNED_ZERO&#160;:&#160;<a class="el" href="km_common_defs_8h.html#a31a907ad6c4742a1819ab3d1ddcb0f9d">kmCommonDefs.h</a></li>
<li>KMC_UNUSED_16_BIT&#160;:&#160;<a class="el" href="km_common_defs_8h.html#a4b2763d0054575f15e3a1a2db691b0cb">kmCommonDefs.h</a></li>
<li>KMC_UNUSED_32_BIT&#160;:&#160;<a class="el" href="km_common_defs_8h.html#a3126e9b2e5b76831b6fde9d6f5e0e2d2">kmCommonDefs.h</a></li>
<li>KMC_UNUSED_8_BIT&#160;:&#160;<a class="el" href="km_common_defs_8h.html#adc6a659fd01ea1267db2d5548de6eb6c">kmCommonDefs.h</a></li>
<li>KMC_VALUE&#160;:&#160;<a class="el" href="km_common_defs_8h.html#ad80e356747d976a14f58ae2cd88bd75e">kmCommonDefs.h</a></li>
<li>KMC_VALUE_TO_STRING&#160;:&#160;<a class="el" href="km_common_defs_8h.html#aae9131e49e1a70ddd3553c9675f5ffcb">kmCommonDefs.h</a></li>
<li>KMC_VAR_NAME_VALUE&#160;:&#160;<a class="el" href="km_common_defs_8h.html#a324c0391d0bbdc4ae0e89bbf2a12304d">kmCommonDefs.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.12.0 </li>
  </ul>
</div>
</body>
</html>
